apiVersion: apps/v1
kind: Deployment
metadata:
  name: ci4s-visual-deployment
  namespace: ci4s-test
spec:
  replicas: 1
  selector:
    matchLabels:
      app: ci4s-visual
  template:
    metadata:
      labels:
        app: ci4s-visual
    spec:
      containers:
      - name: ci4s-visual
        image: ${k8s-11visual-image}
        ports:
        - containerPort: 9100

---
apiVersion: v1
kind: Service
metadata:
  name: ci4s-visual-service
  namespace: ci4s-test
spec:
  type: NodePort
  ports:
    - port: 9100
      nodePort: 31212
      protocol: TCP
  selector:
    app: ci4s-visual

